import 'package:dotup_flutter_widgets/dotup_flutter_widgets.dart';
import 'package:flutter/widgets.dart';

class PlatformBuilder extends StatelessWidget {
  PlatformBuilder({
    Key? key,
    WidgetBuilder? android,
    WidgetBuilder? ios,
    WidgetBuilder? linux,
    WidgetBuilder? macOS,
    WidgetBuilder? fallback,
    WidgetBuilder? windows,
    WidgetBuilder? web,
    WidgetBuilder? tablet,
    WidgetBuilder? phone,
    WidgetBuilder? desktop,
  }) : super(key: key) {
    _builder = PlatformValue(
      android: android,
      desktop: desktop,
      fallback: fallback,
      ios: ios,
      linux: linux,
      macOS: macOS,
      phone: phone,
      tablet: tablet,
      web: web,
      windows: windows,
    ).value;
  }

  late final WidgetBuilder _builder;

  @override
  Widget build(BuildContext context) {
    return _builder(context);
  }
}
